Update a tag assignment

patch

/fscmRestApi/resources/11.13.18.05/businessRuleDefinitions/{businessRuleDefinitionsUniqID}/child/ruleTagAssignments/{TagAssignmentId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Business Rule Definitions resource and used to uniquely identify an instance of Business Rule Definitions. The client should not generate the hash key value. Instead, the client should query on the Business Rule Definitions collection resource in order to navigate to a specific instance of Business Rule Definitions to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : businessRuleDefinitions-ruleTagAssignments-item-response
Type: object
Show Source
  • Links
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
  • Title: Tag Assignment ID
    Read Only: true
    The tag assignment identifier of the rule tag.
  • Title: Tag Code
    Maximum Length: 30
    The tag code of the rule tag.
  • Title: Tag Description
    Read Only: true
    Maximum Length: 240
    The tag description of the rule tag.
  • Title: Tag ID
    The tag identifier of the rule tag.
  • Title: Tag Name
    Read Only: true
    Maximum Length: 64
    The tag name of the rule tag.
Back to Top